<?php
ob_start();
/* Localization */

	load_theme_textdomain( 'templatic', get_template_directory() . '/functions/translation' );
	$locale = get_locale();
	$locale_file = get_template_directory() . "/functions/translation/$locale.php";
if ( is_readable( $locale_file ) ) { require_once( $locale_file );
}

/* Localization End */

// Thumbnail sizes
add_image_size( 'listing-post-thumb', 278, 200, true );
add_image_size( 'popular-post-thumb', 69, 50, true );
add_image_size( 'listing-widget-thumb', 82, 58, true );
/*
You can change the names and dimensions to whatever
you like.
*/
global $pagenow;
$page = @$_REQUEST['page'];
/* Code to check the auto updates of theme */
if (($pagenow == 'themes.php' || trim( $page ) == trim( 'templatic_menu' ) || $pagenow == 'update-core.php') ) {
if ( is_admin() && ($pagenow == 'themes.php' || trim( $page ) == trim( 'templatic_menu' ) || $pagenow == 'update-core.php') ) {
	$is_update_page = 0;
	if ( $pagenow == 'update-core.php' ) {
		$is_update_page = 1;
	}
	$dateTimestamp1 = get_option( 'tmpl_update_check_date' );
	if ( trim( $dateTimestamp1 != '' ) ) {
		$dateTimestamp1 = strtotime( $dateTimestamp1 );
	} else {
		update_option( 'tmpl_update_check_date',date( 'Y-m-d H:i:s' ) );
	}
	$dateTimestamp1 = strtotime( get_option( 'tmpl_update_check_date' ) );
	$dateTimestamp2 = strtotime( date( 'Y-m-d H:i:s' ) );
	$interval = abs( $dateTimestamp2 - $dateTimestamp1 );
	$hour_diff = intval( round( $interval / 60 ) / 60 );
	if ( $hour_diff > 3 || $is_update_page == 1 ) {
		require_once( get_template_directory() . '/functions/tmpl_theme_update.php' );
		new WPUpdates_WpPremium_Updater( 'https://templatic.com/_data/updates/api/', basename( get_template_directory_uri() ) );
		if ( $is_update_page == 0 ) {
			update_option( 'tmpl_update_check_date',date( 'Y-m-d H:i:s' ) );
		}
	}
}
}
/* Code to check the auto updates of theme */
add_action( 'after_setup_theme', 'tmpl_theme_setup',11 );

/* Set up the theme supported functions */
function tmpl_theme_setup() {

	/*	Add Action for Customizer   START	*/
	add_action( 'customize_register',  'templatic_register_customizer_settings' );
	/*	Add Action for Customizer   END	*/
	/*	Stylesheet for theme color settings START */
	add_action( 'wp_head', 'wppremium_load_theme_stylesheet' );
	/*	Stylesheet fro theme color settings End */
	require_once( get_template_directory() . '/functions/templatic.php' ); // if you remove this, Joints will break
	require_once( get_template_directory() . '/functions/tmpl-functions.php' ); // all theme functions
	require_once( get_template_directory() . '/functions/tmpl_widgets.php' ); // theme widget file
	require_once( get_template_directory() . '/functions/tmpl_customizer.php' ); // Add color customizer
}

/*********************
MENUS & NAVIGATION
*********************/
// registering wp3+ menus
register_nav_menus(
	array(
		'main-nav' => __( 'Primary Menu','templatic' ),// main nav
	)
);

// the main menu
function tmpl_main_nav() {
	// display the wp3 menu if available
	wp_nav_menu(array(
		'container' => false,                           // remove nav container
		'container_class' => '',           // class of container (should you choose to use it)
		'menu' => __( 'The Main Menu', 'templatic' ),  // nav name
		'menu_class' => '',         // adding custom nav class
		'theme_location' => 'main-nav',                 // where it's located in the theme
		'before' => '',                                 // before the menu
		'after' => '',                                  // after the menu
		'link_before' => '',                            // before each link
		'link_after' => '',                             // after each link
		'fallback_cb' => 'tmpl_main_nav_fallback',// fallback function
	));
}

// the footer menu (should you choose to use one)
function tmpl_footer_links() {
	// display the wp3 menu if available
	wp_nav_menu(array(
		'container' => '',                              // remove nav container
		'container_class' => 'footer-links clearfix',   // class of container (should you choose to use it)
		'menu' => __( 'Footer Links', 'templatic' ),   // nav name
		'menu_class' => 'sub-nav',      // adding custom nav class
		'theme_location' => 'footer-links',             // where it's located in the theme
		'before' => '',                                 // before the menu
		'after' => '',                                  // after the menu
		'link_before' => '',                            // before each link
		'link_after' => '',                             // after each link
		'depth' => 0,                                   // limit the depth of the nav
		'fallback_cb' => 'tmpl_footer_links_fallback',// fall back function
	));
} /* end joints footer link */
// Theme Specific message for category wise custom fields. END
function wppremium_load_theme_stylesheet() {
	/*  Function to load the custom style sheet.
    "Theme Color Settings" in back end and
	save some color then then this file is called	*/
	if ( file_exists( get_stylesheet_directory() . '/functions/tmpl_admin_style.php' ) ) {
		require_once( get_stylesheet_directory() . '/functions/tmpl_admin_style.php' );
	}
}
// this is the fall back for header menu
function tmpl_main_nav_fallback() {
	wp_page_menu( array(
		'show_home' => true,
		'menu_class' => 'top-bar top-bar-section',      // adding custom nav class
		'include'     => '',
		'exclude'     => '',
		'echo'        => true,
		'link_before' => '',                            // before each link
		'link_after' => '',// after each link
	) );
}

// this is the fall back for footer menu
function tmpl_footer_links_fallback() {
	/* you can put a default here if you like */
}

/*********************
COMMENT LAYOUT
*********************/

if ( ! function_exists( 'tmpl_comments' ) ) {
	function tmpl_comments( $comment, $args, $depth ) {
		global $post;
		   $GLOBALS['comment'] = $comment;

		   $default_avatar = ''; ?>
			<li <?php comment_class( 'panel' ); ?>>
				<article id="comment-<?php comment_ID(); ?>" class="clearfix large-12 columns">
					<header class="comment-author">
						<?php
						if ( $args['avatar_size'] != '' ) {

							echo get_avatar( $comment,$size = $args['avatar_size'],$default_avatar,$default = '<path_to_url>' );
						}
						?>
						<!-- custom gravatar call -->
						<?php
						// create variable
						$bgauthemail = get_comment_author_email();
						?>
						<?php printf( __( '<cite class="fn">%s</cite>', 'templatic' ), '<a href=' . get_author_posts_url( $post->post_author ) . $comment->comment_author . '>' . get_comment_author_link() . '</a>' );  ?>
					<time datetime="<?php  echo comment_time( 'Y-m-j' ); ?>"><span class="byline"><?php _e( ' on','templatic' );
					comment_time( __( ' F jS, Y - g:ia', 'templatic' ) ); ?> </span></time>
					<?php edit_comment_link( __( '(Edit)', 'templatic' ),'  ','' ); ?>
					</header>
					<?php if ( $comment->comment_approved == '0' ) : ?>
				<div class="alert alert-info">
					<p><?php _e( 'Your comment is awaiting moderation.', 'templatic' ) ?></p>
				</div>
			<?php endif; ?>
					<section class="comment_content clearfix">
				
					<?php comment_text() ?>
					<?php comment_reply_link( array_merge( $args, array(
						'depth' => $depth,
						'max_depth' => $args['max_depth'],
					) ) ) ?>
					</section>
			
				</article>
			<!-- </li> is added by WordPress automatically -->
		<?php
	}
} // End if().


/*
 * Function Name: wppremiun_wp_head_script
 * include javascript in header
 */
add_action( 'wp_head','wppremiun_wp_head_script' );
function wppremiun_wp_head_script() {
?>
<script type="text/javascript">
var theme_url='<?php echo get_template_directory_uri();?>';
var page='<?php echo get_option( 'posts_per_page' );?>';
var First="<?php echo __( 'First', 'templatic' )?>";
var Last="<?php echo __( 'Last', 'templatic' )?>";
</script>
<?php
}

/*
 * Function Name : wppremium_wp_title
 * Description : string The filtered title.
 */
function wppremium_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() ) {
		return $title;
	}
	$sep = '|';
	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_front_page() ) ) {
		$title .= get_bloginfo( 'name' );
		$title = "$title $sep $site_description";
	}

	// Add a page number if necessary.

	return $title;
}
add_filter( 'wp_title', 'wppremium_wp_title', 10, 2 );
/*
 * Function Name : wppremium_the_attached_image
 * Description : fetch image on gallery detail page.
 */
function wppremium_the_attached_image() {
	$post                = get_post();

	$attachment_size     = apply_filters( 'wppremium_attachment_size', array( 810, 810 ) );
	$next_attachment_url = wp_get_attachment_url();

	/*
	 * Grab the IDs of all the image attachments in a gallery so we can get the URL
	 * of the next adjacent image in a gallery, or the first image (if we're
	 * looking at the last image in a gallery), or, in a gallery of one, just the
	 * link to that image file.
	 */
	$attachment_ids = get_posts( array(
		'post_parent'    => $post->post_parent,
		'fields'         => 'ids',
		'numberposts'    => -1,
		'post_status'    => 'inherit',
		'post_type'      => 'attachment',
		'post_mime_type' => 'image',
		'order'          => 'ASC',
		'orderby'        => 'menu_order ID',
	) );

	// If there is more than 1 attachment in a gallery...
	if ( count( $attachment_ids ) > 1 ) {
		foreach ( $attachment_ids as $attachment_id ) {
			if ( $attachment_id == $post->ID ) {
				$next_id = current( $attachment_ids );
				break;
			}
		}

		// get the URL of the next image attachment...
		if ( $next_id ) {
			$next_attachment_url = get_attachment_link( $next_id );
		} // End if().
		else {
			$next_attachment_url = get_attachment_link( array_shift( $attachment_ids ) );
		}
	}

		printf( '<a href="%1$s" rel="attachment">%2$s</a>',
			esc_url( $next_attachment_url ),
			wp_get_attachment_image( $post->ID, $attachment_size )
		);
}
/*
 * Name : tmpl_remove_transient
 * Description : delete the transient for category listing.
 * */
add_action( 'save_post','tmpl_remove_transient' );
function tmpl_remove_transient() {
	delete_transient( 'taxonomy_most_viewed_query_results' );
	delete_transient( 'texonomy_most_rated_query_results' );
	delete_transient( 'texonomy_latest_query_results' );
}
if ( ! function_exists( 'customAdmin' ) ) {
	function customAdmin() {

		/* auto install for theme */
		if ( strstr( $_SERVER['REQUEST_URI'],'themes.php' ) || (isset( $_REQUEST['page'] ) && $_REQUEST['page'] == 'templatic_system_menu') ) {
			if ( file_exists( get_stylesheet_directory() . '/functions/auto_install/auto_install.php' ) ) {
				include_once( get_stylesheet_directory() . '/functions/auto_install/auto_install.php' );
			} elseif ( file_exists( get_template_directory() . '/functions/auto_install/auto_install.php' ) ) {
				include_once( get_template_directory() . '/functions/auto_install/auto_install.php' );
			}
		}
	}
}
add_action( 'admin_head', 'customAdmin', 11 );
?>
